@echo off

set PATH_TO_FIRMEUPDATE=.\LSU100_Update.enc
set PATH_TO_ATMEL_UPDATER_EXE=.\Atmel_Updater_VS2015\Atmel_Updater.exe

echo ==================================
echo Updaten der Firmware
echo Updating the firmware
echo ==================================
echo.
echo Hardware in den Update-Modus versetzen und mit "Enter" bestaetigen!
echo Put the hardware into update mode and confirm with "Enter"!
echo.
echo Befindet sich das Geraet im Update-Modus?
set /p COM="Is the device in update mode?"
echo.
echo.
echo.
echo ==================================
echo Start des Firmware-Update
echo Start of the firmware update
echo ==================================
echo.

%PATH_TO_ATMEL_UPDATER_EXE% -F%PATH_TO_FIRMEUPDATE% -38400 -T2 -D"ELV LED Stoppuhr LSU 100" -debug

if %errorlevel% neq 0 goto fail
echo.
@echo CMD PASS
echo.
echo ==================================
echo Update erfolgreich uebertragen!
echo Update transferred successfully!
echo ==================================
echo.
exit /b %errorlevel%
:fail
@echo CMD FAIL
echo.
echo ==================================
echo Fehler beim Update!
echo Error during update!
echo ==================================
echo.
exit /b %errorlevel%